Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.auth
Enum JDBCAuthProvider.PasswordType

    java.lang.Object
      java.lang.Enum<JDBCAuthProvider.PasswordType>
          org.jivesoftware.openfire.auth.JDBCAuthProvider.PasswordType

All Implemented Interfaces:
  Serializable, Comparable<JDBCAuthProvider.PasswordType>

Enclosing class:
  JDBCAuthProvider

    public static enum JDBCAuthProvider.PasswordType

extends Enum<JDBCAuthProvider.PasswordType>

Indicates how the password is stored.

Enum Constant Summary
`md5` The password is stored as a hex-encoded MD5 hash.
`plain` The password is stored as plain text.
`sha1` The password is stored as a hex-encoded SHA-1 hash.
`sha256` The password is stored as a hex-encoded SHA-256 hash.
`sha512` The password is stored as a hex-encoded SHA-512 hash.

Method Summary
`static JDBCAuthProvider.PasswordType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JDBCAuthProvider.PasswordType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### plain

    public static final JDBCAuthProvider.PasswordType plain

  The password is stored as plain text.

### md5

    public static final JDBCAuthProvider.PasswordType md5

  The password is stored as a hex-encoded MD5 hash.

### sha1

    public static final JDBCAuthProvider.PasswordType sha1

  The password is stored as a hex-encoded SHA-1 hash.

### sha256

    public static final JDBCAuthProvider.PasswordType sha256

  The password is stored as a hex-encoded SHA-256 hash.

### sha512

    public static final JDBCAuthProvider.PasswordType sha512

  The password is stored as a hex-encoded SHA-512 hash.

Method Detail

### values

    public static final JDBCAuthProvider.PasswordType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(JDBCAuthProvider.PasswordType c : JDBCAuthProvider.PasswordType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static JDBCAuthProvider.PasswordType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.